import controlP5.*;
import processing.serial.*;

Serial port;

ControlP5 cp5;
PFont font;

void setup(){

  size(300, 350);
  printArray(Serial.list()); 
  port = new Serial(this, "/dev/cu.usbserial-AJV9MT8Z", 9600);
  
  cp5 = new ControlP5(this);
  font = createFont("calibri light bold", 25);
  
  cp5.addButton("green") 
    .setPosition(100, 50) 
    .setSize(120, 70) 
    .setFont(font)
  ;   

  cp5.addButton("red") 
    .setPosition(100, 150)
    .setSize(120, 70)
    .setFont(font)
  ;

  cp5.addButton("off")
    .setPosition(100, 250)  
    .setSize(120, 70) 
    .setFont(font)
  ;
}

void draw(){  

  background(0, 0 , 0); 
  fill(0, 255, 0);  
  textFont(font);
  text("Fab Academy", 80, 30);
}

void green(){
  port.write('g');
}

void red(){
  port.write('r');
}

void off(){
  port.write('b');
}
